package com.boman.system.controller;

import com.alibaba.fastjson.JSONObject;
import com.boman.common.core.web.controller.BaseController;
import com.boman.system.service.ISysScheduleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/04/02/9:45
 */
@RestController
@RequestMapping("/schedule")
public class SysScheduleController extends BaseController {

    @Autowired
    private ISysScheduleService sysScheduleService;


    /**
     * 为日程表定制日程时间接口
     * @param result 结果
     * @return
     */
    @PostMapping("/setDay")
    public List<JSONObject> setDay(@Validated @RequestBody List<JSONObject> result) {
        return sysScheduleService.setDay(result);
    }
}
